package com.xzzn.ems.service;

import java.util.List;
import com.xzzn.ems.domain.EmsStrategyCurve;
import com.xzzn.ems.domain.EmsStrategyTemp;
import com.xzzn.ems.domain.vo.StrategyCurveVo;

/**
 * 策曲线Service接口
 *
 * @author xzzn
 * @date 2025-07-11
 */
public interface IEmsStrategyCurveService
{
    /**
     * 查询策曲线
     *
     * @param id 策曲线主键
     * @return 策曲线
     */
    public EmsStrategyCurve selectEmsStrategyCurveById(Long id);

    /**
     * 查询策曲线列表
     *
     * @param emsStrategyCurve 策曲线
     * @return 策曲线集合
     */
    public List<EmsStrategyCurve> selectEmsStrategyCurveList(EmsStrategyCurve emsStrategyCurve);

    /**
     * 新增策曲线
     *
     * @param emsStrategyCurve 策曲线
     * @return 结果
     */
    public int insertEmsStrategyCurve(EmsStrategyCurve emsStrategyCurve);

    /**
     * 修改策曲线
     *
     * @param emsStrategyCurve 策曲线
     * @return 结果
     */
    public int updateEmsStrategyCurve(EmsStrategyCurve emsStrategyCurve);

    /**
     * 批量删除策曲线
     *
     * @param ids 需要删除的策曲线主键集合
     * @return 结果
     */
    public int deleteEmsStrategyCurveByIds(Long[] ids);

    /**
     * 删除策曲线信息
     *
     * @param id 策曲线主键
     * @return 结果
     */
    public int deleteEmsStrategyCurveById(Long id);

    // 获取站点策略的运行曲线数据
    public List<StrategyCurveVo> getStrategyCurveList(EmsStrategyTemp tempConfig);
}
